system_error File Reference

Go to the source code of this file.

## Classes

class | std::_V2::error_category
struct | std::error_code
struct | std::error_condition
struct | std::hash< _Tp >
struct | std::hash< error_code >
struct | std::is_error_code_enum< _Tp >
struct | std::is_error_condition_enum< _Tp >
class | std::system_error

## Namespaces

| std

## Macros

#define | _GLIBCXX_SYSTEM_ERROR

## Functions

const error_category & | std::_V2::generic_category () noexcept
error_code | std::make_error_code (errc __e) noexcept
error_condition | std::make_error_condition (errc __e) noexcept
bool | std::operator!= (const error_code &__lhs, const error_code &__rhs) noexcept
bool | std::operator!= (const error_code &__lhs, const error_condition &__rhs) noexcept
bool | std::operator!= (const error_condition &__lhs, const error_code &__rhs) noexcept
bool | std::operator!= (const error_condition &__lhs, const error_condition &__rhs) noexcept
bool | std::operator< (const error_code &__lhs, const error_code &__rhs) noexcept
bool | std::operator< (const error_condition &__lhs, const error_condition &__rhs) noexcept
template<typename _CharT , typename _Traits >
basic_ostream< _CharT, _Traits > & | std::operator<< (basic_ostream< _CharT, _Traits > &__os, const error_code &__e)
bool | std::operator== (const error_code &__lhs, const error_code &__rhs) noexcept
bool | std::operator== (const error_code &__lhs, const error_condition &__rhs) noexcept
bool | std::operator== (const error_condition &__lhs, const error_code &__rhs) noexcept
bool | std::operator== (const error_condition &__lhs, const error_condition &__rhs) noexcept
const error_category & | std::_V2::system_category () noexcept

## Variables

error_code | std::make_error_code (errc) noexcept
error_condition | std::make_error_condition (errc) noexcept

## Detailed Description

This is a Standard C++ Library header.

Definition in file system_error.